1. Campaigns
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • List of NACE / WZ codes
  • List of Industries
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Retrieve Company IPs
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
    • Estimate Company Enrichment Job
    • Create Company Enrichment Job
    • Get Company Enrichment Job Status
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
    • Estimate Find Contact Data Job
    • Create Find Contact Data Job
    • Get Find Contact Data Job Status
  • Web Visits
    • Custom Feed - Filter Reference
    • How to Create Custom Feed
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • Campaigns
    • Retrieve Campaigns
      GET
    • Get Campaign Details
      GET
    • Update Campaign
      PATCH
    • Retrieve Campaign Stats
      GET
  • IP
    • Enrich Company IP Address
  • Buyer Personas
    • Retrieve Buyer Personas
    • Get Buyer Persona Details
  • Ideal Customer Profiles
    • Retrieve Ideal Customer Profiles
    • Get Ideal Customer Profile Details
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Schemas
    • AccountV1
    • AccountSummaryV1
    • ErrorObjectV1
    • CompanyV1
    • TagV1
    • ListV1
    • VisitLocationV1
    • WebVisitV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • CRMGroupConnectionV1
    • ICPV1
    • CompanyFinancialsV1
    • IpAddressExtendedV1
    • CompanyIpV1
    • SignalV1
    • CompanySummaryV1
    • MaskedCompanySummaryV1
    • CompanyMatchV1
    • EnrichmentJobV1
    • BuyerPersonaV1
    • ContactV1
    • ContactSummaryV1
    • MaskedContactSummaryV1
    • FindContactDataJobV1
    • CustomFieldV1
    • CustomFeedV1
    • CampaignSettingsV1
    • CampaignSummaryV1
    • CampaignLocationV1
    • CampaignV1
    • CampaignStatsV1
    • IpLocationV1
    • NetworkV1
    • EnrichedIpV1
    • ApiUsageV1
    • CustomFeedRequestV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • LocationV1
    • CompanyLocationV1
  1. Campaigns

Retrieve Campaign Stats

GET
/v1/campaigns/{id}/stats
Retrieve statistics for a specific campaign over a defined time period. Use frequency, start_period, and end_period to control how the campaign performance data is grouped and returned.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.leadfeeder.com/v1/campaigns/1234/stats?account_id=123456&frequency=day&start_period=2026-04-01&end_period=2026-04-30&page[num]=1&page[size]=20' \
--header 'X-Api-Key: <api-key>'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
{
    "data": [
        {
            "type": "campaign_stats",
            "id": "MTIzNHwyMDI2LTA0LTE0fDIwMjYtMDQtMTQ=",
            "attributes": {
                "date": "2026-04-14",
                "impressions": 0,
                "visits": 0,
                "reached_count": 0,
                "influenced_count": 0,
                "ecpm": 0,
                "total_cost": 0,
                "ecpv": 0,
                "vtr": 0,
                "currency": "EUR"
            }
        },
        {
            "type": "campaign_stats",
            "id": "MTIzNHwyMDI2LTA0LTE1fDIwMjYtMDQtMTU=",
            "attributes": {
                "date": "2026-04-15",
                "impressions": 100,
                "visits": 23,
                "reached_count": 1,
                "influenced_count": 1,
                "ecpm": 12340,
                "total_cost": 1234,
                "ecpv": 53.65,
                "vtr": 0.23,
                "currency": "EUR"
            }
        }
    ],
    "meta": {
        "pagination": {
            "page_num": 1,
            "page_count": 1,
            "total_count": 2
        },
        "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
}
🟠400Bad Request
🟠403Forbidden
🟠404Record Not Found
🟠422Parameter Error
🟠429
🔴500Server Error
🔴504Gateway Timeout
Modified at 2026-05-29 11:56:07
Previous
Update Campaign
Next
Enrich Company IP Address
Built with